﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="OM.Default_" %>

<!DOCTYPE html>
<html>
<head>
	<link rel="icon" href="Images/om.png" type="image/png" sizes="16x16" />
	<title>OM</title>
	<script src="Js/jquery-1.7.1.min.js" type="text/javascript"></script>
	<script src="Js/jquery.tmpl.min.js" type="text/javascript"></script>
	<script src="Js/jquery-ui-1.8.16.custom.min.js" type="text/javascript"></script>
	<script src="Js/jquery.dialog.js" type="text/javascript"></script>
	<script src="Js/jquery.contextMenu.js" type="text/javascript"></script>
	<script src="Js/om.collection.js" type="text/javascript"></script>
	<script src="Js/om.webaction.js" type="text/javascript"></script>
	<script src="Js/om.comet.client.js" type="text/javascript"></script>
	<script src="Js/om.constant.js" type="text/javascript"></script>
	<script src="Js/om.string.function.js" type="text/javascript"></script>
	<script src="Js/om.alert.js" type="text/javascript"></script>
	<script src="Js/bililiteRange.js" type="text/javascript"></script>
	<script src="Js/jquery.sendkeys.js" type="text/javascript"></script>
	<script src="Js/jquerySort.js" type="text/javascript"></script>
	<script src="Js/jquery.highlight.js" type="text/javascript"></script>
	<script src="Js/tooltipsy.source.js" type="text/javascript"></script>
	<link href="Styles/font.css" rel="stylesheet" type="text/css" />
	<link href="Styles/chat.css" rel="stylesheet" type="text/css" />
	<!--[if lte IE 10]>
<link href="Styles/ie.css" rel="stylesheet" type="text/css" />
<![endif]-->
</head>
<body>
	<div class="om">
		<div class="header">
			<div class="cname">
				Outlook Messenger</div>
			<div class="signout">
				<ul>
					<li class="audio" tooltip="Sound Alert On">&nbsp;</li>
					<li>
						<img id="imgpv" src="Images/pv.png" tooltip="Show profile picture" style="padding-bottom: 4px;"
							onclick="javascript:WEBACTION.changeView('P');" /></li>
					<li>
						<asp:Literal runat="server" ID="litLogOut"></asp:Literal></li>
				</ul>
			</div>
		</div>
		<div class="om_box">
			<div class="user_box">
				<div id="userphoto" class="user_photo">
					<asp:Literal runat="server" ID="litPhoto"></asp:Literal>
				</div>
				<div class="user_status">
					<div class="company-name">
						<asp:Literal runat="server" ID="litCompanyName"></asp:Literal>
					</div>
					<div style="float: left; width: 180px;">
						<span class="user_ddl">
							<div class="darrow">
								&nbsp;</div>
						</span><span id="userkey" class="user_name"></span><span id="userstatus"></span>
					</div>
					<div class="us_options" style="display: none">
						<ul>
							<li class="sep">Online</li>
							<li>Away</li>
							<li>Lunch</li>
							<li>Meeting</li>
							<li>Busy</li>
						</ul>
					</div>
					<div id="userpstatus" class="edit_pstatus">
						<input class="txt" type="text" id="ps" name="ps" class="wm" value="Enter personal message"
							tabindex="-1" />
					</div>
				</div>
				<div class="clear">
					&nbsp;</div>
				<div class="user_search">
					<input type="text" id="search" name="search" value="Search..." class="wm" />
				</div>
				<div class="user_search_btn">
					<img src="Images/search-button.png" />
				</div>
			</div>
			<div class="chat_list">
			</div>
		</div>
	</div>
	<div class="om_droppable">
	</div>
	<div class="om_chat_window" style="display: none">
		<div class="header">
			<div class="title">
				Outlook Messenger :: Chat</div>
			<div class="close">
			</div>
		</div>
		<div class="tab_box">
			<div class="tab_border">
				&nbsp;</div>
			<div class="tab_header">
			</div>
		</div>
	</div>
	<div id="Announcement" style="display: none" class="frm">
		<form id="frmANN" onsubmit="return false">
		<input type="hidden" id="ToUserKey" name="ToUserKey" />
		<div class="editor_label auto" id="annto" style="width: 43px">
			To
		</div>
		<div class="editor_field auto">
			<input type="text" id="To" name="To" tabindex="5" readonly style="width: 350px;" />
		</div>
		<div class="editor_button" style="margin: 0; padding: 0">
			<input type="button" id="Select" name="Select" value="Select" class="button" onclick="javascript:WEBACTION.selectUser(this);" />
		</div>
		<div id="SubjectBox">
			<div class="editor_label auto">
				Subject
			</div>
			<div class="editor_field auto">
				<input type="text" id="subject" name="subject" tabindex="6" style="width: 350px;
					margin-left: 2px;" />
			</div>
		</div>
		<div class="editor_field clear auto">
			<textarea id="Message" name="m" rows="10" cols="65" tabindex="7" style="width: 475px"></textarea>
		</div>
		<div class="clear">
			&nbsp;</div>
		<div class="editor_label">
			&nbsp;</div>
		<div class="editor_button rightcol">
			<input type="button" id="Close" name="Close" tabindex="9" value="Close" class="button  black" />
		</div>
		<div class="editor_button rightcol">
			<input type="submit" id="Send" name="Send" tabindex="8" value="Send" class="button" />
		</div>
		<div class="editor_button	rightcol loading">
			<img src="Images/ajax-loader.gif" />
		</div>
		<input type="hidden" name="type" id="type" value="0" />
		<input type="hidden" name="tousers" id="tousers" value="" />
		<input type="hidden" name="sessionkey" id="sessionkey" value="" />
		</form>
	</div>
	<ul id="myMenu" class="contextMenu">
		<li id="opt_chat"><a href="#CHA">Chat</a></li>
		<li><a href="#ANN">Announcement</a></li>
		<li><a href="#MAIL">Mail</a></li>
		<li id="opt_offchat"><a href="#OFF">Instant Message</a></li>
		<li id="opt_sort"><a href="#SORT">Sort by</a>
			<ul>
				<li><a href="#SORTGROUPS">Groups</a></li>
				<li><a href="#SORTNAME">Name</a></li>
				<li><a href="#SORTGENDER">Gender</a></li>
			</ul>
		</li>
	</ul>
	<div class="select_user_box">
	</div>
	<div id="sa" class="sound_alert">
	</div>
</body>
<script id="chatwindowtemplate" type="text/x-jquery-tmpl">
   <div class="om_chat_window">
        <div class="tab_box">
            <div class="tab_border">
                &nbsp;</div>
            <div class="tab_header">
            </div>
        </div>
    </div>
</script>
<script id="chattabtemplate" type="text/x-jquery-tmpl"> 
    <div class="tab" tabkey="${Key}">
        <div class="uname" onclick="javascript:WEBACTION.selectTab('${Key}');">${Title}<span class="nmsgcnt"></span></div>
		<div class="close" onclick="javascript:WEBACTION.removeCW(this);">&nbsp;</div>
		<input type="hidden" id="hdnnmcnt" class="hdnnmc" value="0" />
	
    </div>
</script>
<script id="messagetemplate" type="text/x-jquery-tmpl">
    <p lmkey="${FromName}" class="userkey {{if ME==true}}me{{/if}}">
        <p class="mbox{{if ISOFF==true}} off{{/if}}">
			{{if ISANN==false}}
				{{if AppendUserKey==true && ISOFF==false}}
					<p class="time">
						${getTime(false)}
					</p>
					<p class="sender">
						 ${DisplayName} says
					</p>
				{{/if}}
				{{if AppendUserKey==false}}
				 {{if getTime(true)!=""}}
					<p class="time">
						${getTime(true)}
					</p>
				  {{/if}}
				{{/if}}
				<p class="msg">	
				{{html formatMessage(Message)}}
				</p>
			{{else}}
				{{if Title!="Offline Message"}}
				<div class="ann_title">
					<b>From&nbsp;:&nbsp;${FromName}</b>
				</div>
				{{/if}}
				{{if ReceivedDate!=""}}
				<div class="ann_title">
					<b>Received Date&nbsp;:&nbsp;${ReceivedDate}</b>
				</div>
				{{/if}}
				{{if Subject!=""}}
					<div class="ann_title">
						<b>Subject&nbsp;:&nbsp;${Subject}</b>
					</div>
				{{/if}}
				<div class="line">&nbsp;</div>
				<p>    
					{{html formatMessage(Message)}}
				</p>
			{{/if}}
        </p>
    </p>
</script>
<script id="chatboxtemplate" type="text/x-jquery-tmpl">
    <div class="tab_content" cwkey="${Key}" isgroupchat="${ISGC}" style="display:none;">
        <div class="message_box" 
			{{if ISGC==true}}style="right:220px;"{{/if}}
			{{if ISANN==true || ISOFF==true}}style="bottom:8px;"{{/if}}
			>
            <p class="content{{if ISANN==true}} ann{{/if}}">
            </p>
			<input type="hidden" id="hdntmcnt" class="hdntmcnt" value="0" />
        </div>
        {{if ISGC==true}}
         <div class="gc_user_box">
          {{each(i,g) Groups}}
            {{tmpl(g) "#gcboxtemplate"}}
          {{/each}}
         </div>
        {{/if}}
		{{if ISANN==false && ISOFF==false}}
		<div class="emotion_box">
			<ul>
				{{each(i,emo) _Emotions}}
						<li class="emotion" sym="${emo.sym}" title="${emo.tt}">
							<img src="images/smileys/${emo.img}" />
						</li>
				{{/each}}
			</ul>
		</div>
		{{/if}}
		{{if ISANN==false && ISOFF==false}}
			<div class="chat_box">
				<div class="btn_area">
					<div class="emo_caller">&nbsp;</div>
					{{if ISGC==false}}
					<div class="buzz_caller">&nbsp;</div>
					{{/if}}
					<div class="allow_enter">
						<div style="float:left">
						<input type="checkbox" id="ae" name="ae" />
						</div>
						<div class="ae">&nbsp;</div>
					</div>
				</div>
				<div class="chat_area">
					<textarea id="m" name="m" cols="10" rows="8" class="message" isgc="${ISGC}" touserkey="{{if ISGC==true}}${GCKey}{{else}}${FromName}{{/if}}"></textarea>
				</div>
				<div class="send_area">
					  <input type="hidden" id="ToUserKey" name="ToUserKey" value="${FromName}" />
					  {{if ISGC==true}} 
					   <input type="hidden" id="gckey" name="gckey" value="${GCKey}" />
					  {{/if}}
					  <input type="submit" id="s" name="s" value="Send" class="sendbutton button"
					  {{if ISGC==true}} 
						onclick="javascript:WEBACTION.submitGCMsg(this);" 
					  {{else}} 
						onclick="javascript:WEBACTION.submitMsg(this);" 
					  {{/if}} />
				</div>
			</div>
		{{/if}}
    </div>
</script>
<script id="grouptemplate" type="text/x-jquery-tmpl">
    <ul gcname="${GroupName.toLowerCase()}" class="group{{if GroupName=="Offline Users"}} offline{{/if}}">
        <li>
            <div class="gheader">
               <div class="down">&nbsp;</div><div class="gname">${GroupName}</div><div class="ucnt"></div>
            </div>
            <ul class="users">
            </ul>
        </li>
    </ul>    
</script>
<script id="gcboxtemplate" type="text/x-jquery-tmpl">
    <ul gcgroupname="${GroupName.toLowerCase()}" class="gc_group">
        <li>
            <div class="gheader">
               <div class="down">&nbsp;</div><div class="gname">${GroupName}</div><div class="ucnt">&nbsp;(${GCUsers.length})</div><div class="close" onclick="javascript:WEBACTION.removeChatGroup(this,'${GroupName}');">&nbsp;</div>
            </div>
            <ul class="gc_users">
                {{each(i,u) GCUsers}}
                    {{tmpl(u) "#gcusertemplate"}}
                {{/each}}
            </ul>
        </li>
    </ul>
</script>
<script id="gcusertemplate" type="text/x-jquery-tmpl">
    <li gcuserkey="${UserKey}" class="gc_user_detail">
        <input type="hidden" id="GCUserKey" name="GCUserKey" value="${UserKey}" />
        <div class="photo"><img src="ProfileImage.aspx?AccessToken=${getSessionKey()}&userkey=${UserKey}" /></div>
        <div class="uname">${DisplayName}</div>
        {{if isME(UserKey)==false}}<div class="close" onclick="javascript:WEBACTION.removeGroupChat(this,'${UserKey}');">&nbsp;</div>{{/if}}
    </li>
</script>
<script id="usertemplate" type="text/x-jquery-tmpl">
    <li class="user_detail {{if GroupName!="Offline Users"}}is_draggable{{/if}}" liuserkey="${UserKey}">
		<div class="uname" userkey="${UserKey}">
			<span class="udisplayname" displayname="${DisplayName.toLowerCase()}"
			 {{if GroupName!="Offline Users"}}
			 onclick="javascript:WEBACTION.chatwindow('${UserKey}');"
			 {{/if}}
			>${DisplayName}</span>
			<span class="ustatus" userkey="${UserKey}" title="${UserStatus}">{{if UserStatus!=""}}(${UserStatus}){{/if}}</span>
			<span class="pstatus" userkey="${UserKey}" title="${PersonalStatus}">
			{{if PersonalStatus!=""}}
				{{if WEBACTION.getViewMode()=='P'}}
					&nbsp;-&nbsp;
				{{/if}}
			${PersonalStatus}
			{{/if}}</span>
		</div>
		<div class="udetail">
			<div class="photo">
				<img class="uphoto" src="ProfileImage.aspx?AccessToken=${getSessionKey()}&userkey=${UserKey}" />
				<div class="gender {{if Gender=="" || Gender =="0" || Gender == "M"}}M{{else}}F{{/if}}">&nbsp;</div>
			</div>
			<div class="list" style="display:none">&nbsp;</div>
			<input type="hidden" name="GroupName" id="GroupName" value="${GroupName}" />
			<input type="hidden" name="UserKey" id="UserKey" value="${UserKey}" />
			<input type="hidden" name="DisplayName" id="DisplayName" value="${DisplayName}" />
			<input type="hidden" name="OfflineUser" id="OfflineUser" value="{{if GroupName!="Offline Users"}}false{{else}}true{{/if}}" />
		</div>
	</li>
</script>
<script id="selectusertemplate" type="text/x-jquery-tmpl">
	{{if Groups.length}}
		<div class="sel_user_list_box">
			{{each(i,g) Groups}}
				{{if g.Users.length}}
					<div class="sel_user_group">
					<ul>
						<li><input type="checkbox" class="g" id="g" name="g" value="${g.GroupName}"  ${g.Checked}  />${g.GroupName}
							<ul>
							{{each(j,u) g.Users}}
								<li><input type="checkbox" class="c" id="c" name="c" value="${u.UserKey}"  ${u.Checked} />${u.DisplayName}</li>
							{{/each}}
							</ul>
						</li>
					</ul>
					</div>
				{{/if}}
			{{/each}}
		</div>
		<div class="sel_btn">
		<br/>
		<center><input type="button" id="ok" name="ok" value="ok" class="button" />&nbsp;&nbsp;&nbsp;<input type="button" id="cancel" name="cancel" value="cancel" class="button black" /></center>
		</div>
	{{/if}}
</script>
<asp:literal runat="server" id="litScript"></asp:literal>
</html>
