﻿(function ($) {
	$.addDialog=function (d,p) {
		if(d.dialog) { return false; }
		p=$.extend({
			height: 100
			,width: 200
			,autoOpen: false
			,title: ""
			,overlayClass: "modal_overlay"
			,onTemplate: null
			,onPosition: null
			,onOpen: null
			,onClose: null
		},p);
		var _dialog={
			box: null
			,getTitle: function () {
				return $(".modal_title",this.box);
			}
			,overlay: null
			,create: function () {
				_dialog.overlay=$(".modal_overlay").get(0);
				if(!_dialog.overlay) {
					var overlay=$("<div style='display:none' class='"+p.overlayClass+"'>&nbsp;</div>");
					$("body").append(overlay);
				}
				_dialog.overlay=$(".modal_overlay");
				_dialog.box=$("<div class='modal_box' style='display:none'><div class='modal_header'><div class='modal_title'>"+p.title+"</div><div class='modal_close'>&nbsp;</div></div><div class='modal_content'></div></div>");
				$("body").append(_dialog.box);
				$(".modal_content",_dialog.box).append(d);
				$(".modal_close",_dialog.box)
				.click(function () {
					_dialog.hide();
				});
			}
			,setPosition: function () {
				var lwidth=_dialog.box.width();
				var lheight=_dialog.box.height();
				var lleft=($(window).width()/2)-(lwidth/2);
				var ltop=($(window).height()/2)-(lheight/2);
				_dialog.box.css({ "top": ltop-30,"left": lleft });
			}
			,show: function () {
				$(_dialog.overlay).show();
				$(d).show();
				if(p.onPosition) {
					p.onPosition(_dialog.box);
				} else {
					this.setPosition();
					$(window).resize(function () { _dialog.setPosition(); });
				}
				$(_dialog.box)
				.show(function () {
					if(p.onOpen) {
						p.onOpen(d);
					}
				});
			}
			,hide: function () {
				$(".select_user_box").hide();
				$(_dialog.box)
				.hide(function () {
					_dialog.overlay.hide();
					$(d).hide();
					if(p.onClose) {
						p.onClose(d);
					}
				});
			}
		};
		d.dialog=_dialog;
		_dialog.create();
		if(p.autoOpen==true) {
			_dialog.show();
		}
		$(d).show();
		$(window).resize(function () { $(".select_user_box").hide(); });
		return d;
	};
	var docloaded=false;
	$(document)
	.ready(function () { docloaded=true });
	$.fn.jqDialog=function (p) {
		return this.each(function () {
			$(this).hide();
			try {
				if(!docloaded) {
					var d=this;
					$(document).ready
					(
						function () {
							$.addDialog(d,p);
						}
					);
				} else {
					$.addDialog(this,p);
				}
			} catch(e) {
				alert(e);
			}
		});
	};
	$.fn.jqCloseDialog=function () { return this.each(function () { this.dialog.hide(); }); };
	$.fn.jqOpenDialog=function () { return this.each(function () { this.dialog.show(); }); };
	$.fn.jqSetTitle=function (title) { return this.each(function () { this.dialog.getTitle().html(title); }); };
})(jQuery);
