﻿var WEBSOCKET={
	JQXHR: null,
	connectToServer: function () {
		var dt=new Date();
		var U='httpbinding';
		var param='key='+WEBACTION.EncKey+'&dt='+dt.getTime();
		//XMLHttpRequest
		WEBSOCKET.JQXHR=$.ajax({
			type: "get",
			dataType: "json",
			url: U,
			data: param,
			success: function (msg) {
				try {
					try {
						PROCESSWEBDATA.processData(msg);
					} catch(ex) {
					}
					if(WEBACTION.Connected) {
						WEBSOCKET.connectToServer();
					}
				} catch(e) {
					WEBSOCKET.connectToServer();
				}
			},
			error: function (message) {
				//WEBACTION.logout(true);
				WEBSOCKET.connectToServer();
			}
		});
	},
	stopServer: function () {
		WEBSOCKET.JQXHR.abort();
	}
}

var PROCESSWEBDATA = {
  processData: function (data) {

    var lpacket;
    switch (data.Type) {
      case "Chat":
        WEBACTION.displayChatMessage(data.From, data.Message, data.From);
        break;
      case "User":
        UserCollection.addUser(data);
        WEBACTION.displayUser(data, true);
        break;
      case "Logout":
        if (data.From == "") break;
        if (data.From == "S" || data.From == WEBACTION.UserKey) {
          alert("You have signed in from another location.");
          WEBACTION.logout(true);
        } else {
          var u = UserCollection.getUser(data.From);
          if (u) {
            u.GroupName = "Offline Users";
          }
          WEBACTION.clearSelectUser(data.From);
        }
        break;
      case "GroupChat":
        WEBACTION.displayChatMessage(data.From, data.Message, data.GroupKey);
        break;
      case "GroupChatInvite":
        //data1=Users;2=FromUser;3=GroupKey
        GroupCollection.addUser(data.GroupKey, data.Message);
        var gcusers = data.Message.split(CONSTANTS.GChtUserDelim);
        var flag;
        WEBACTION.addConversationMessage(data.GroupKey, WEBACTION.UserKey, "");
        WEBACTION.addConversationMessage(data.GroupKey, gcusers[0], "");
        for (var i = 1; i < gcusers.length; i++) {
          if (gcusers[i] != WEBACTION.UserKey) {
            WEBACTION.addConversationMessage(data.GroupKey, gcusers[i], "");
            WEBACTION.sendMessage(LSTYPE.GroupUserAdd, gcusers[i], "", data.GroupKey);
          }
        }
        break;
      case "GroupUserAdd":
        WEBACTION.addConversationMessage(data.GroupKey, data.From, "");
        if (data.From != WEBACTION.UserKey) {
          GroupCollection.addUser(data.GroupKey, data.From);
        }
        break;
      case "GroupUserRemove":
        GroupCollection.removeUser(data.GroupKey, data.From);
        WEBACTION.removeGChatUser(data.GroupKey, data.From);
        if (data.From == WEBACTION.UserKey) { //Remove current user
          GroupCollection.removeGroup(data.GroupKey);
          WEBACTION.removeGC(data.GroupKey, data.From);
        }
        break;
      case "ChangeName":
        if (data.Message == "") break;
        WEBACTION.changeDisplayName(data.From, data.Message);
        break;
      case "ChangeGroup":
        WEBACTION.changeGroupName(data.From, data.Message);
        break;
      case "ChangeStatus":
        WEBACTION.changeStatus(data.From, data.Message);
        break;
      case "ChangePersonalStatus":
        WEBACTION.changePersonalStatus(data.From, data.Message);
        break;
      case "Announcement":
        WEBACTION.displayChatMessage(data.From, data.Message, "ANN", data.ReceivedDate);
        break;
      case "Mail":
        WEBACTION.displayChatMessage(data.From, data.Message, "MAIL", data.Subject);
        break;
      case "OfflineMessage":
        WEBACTION.displayChatMessage(data.From, data.Message, "OFF");
        break;
      case "OfflineAnnouncement":
        WEBACTION.displayChatMessage(data.From, data.Message, "OFFANN", data.ReceivedDate);
        break;
      case "OfflineMail":
        WEBACTION.displayChatMessage(data.From, data.Message, "OFFMAIL", data.Subject);
        break;
      case "Buzz":
        WEBACTION.displayChatMessage(data.From, "BUZZ!", data.From);
        break;
    }

  }
}